%global npm_name p-is-promise
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.1.0
Release: %mkrel 3
Summary: Check if something is a promise
License: MIT
Group: Development/Other
URL: https://github.com/sindresorhus/p-is-promise#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license license
%doc readme.md



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.1.0-3.mga8
+ Revision: 1503097
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.0-2.mga7
+ Revision: 1280908
- Mageia 7 Mass Rebuild

* Sun Apr 29 2018 kekepower <kekepower> 1.1.0-1.mga7
+ Revision: 1223499
- imported package nodejs-p-is-promise

